Debian Bug report logs - #559524
ITP: libleocharre-perl -- Bundle of several modules in the LEOCHARRE:: namespace

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonathan Yu <jawnsy@cpan.org>

Date: Sat, 5 Dec 2009 02:57:01 UTC

Owned by: Jonathan Yu <jawnsy@cpan.org>

Severity: wishlist

Done: Jonathan Yu <jonathan.i.yu@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, <wnpp@debian.org>:
Bug#559524; Package wnpp. (Sat, 05 Dec 2009 02:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <jawnsy@cpan.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, <wnpp@debian.org>. (Sat, 05 Dec 2009 02:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jawnsy@cpan.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libleocharre-perl -- Bundle of several modules in the LEOCHARRE:: namespace
Date: Fri, 04 Dec 2009 21:55:24 -0500
Package: wnpp
Severity: wishlist
Owner: Jonathan Yu <jawnsy@cpan.org>


I hate the idea of this, but I have to do this because two LEOCHARRE
modules are required by the new version of Wordpress::XMLRPC (already
packaged; its upgrade has been blocked for a long time because of this)

* Package name    : libleocharre-perl
  Version         : Debian Native
  Upstream Author : Leo Charre <leocharre@cpan.org>
* URL             : http://search.cpan.org/~leocharre/
* License         : Perl (Artistic or GPL-1+)
  Programming Lang: Perl
  Description     : Bundle of several modules in the LEOCHARRE:: namespace

Basically, the author of Wordpress::XMLRPC requires his own helper
modules, which may be used in several distributions (since he produces
many of them). However, I'm hesitant to create multiple packages for
them because:

  1. These packages are probably only ever going to be used by Leo Charre
  2. These packages are coded poorly (they export random functions into
     the main namespace)
  3. The packages contain very small portions of code

I'd even consider patching Wordpress::XMLRPC with these functions; however,
I don't think the patch would be sustainable in the long term.

There was some discussion on the pkg-perl list:
http://lists.debian.org/debian-perl/2009/11/msg00065.html

Useful suggestions are gladly accepted and appreciated. Please give me a
less crappy alternative. I beg of you. PLEASE.




Information stored :
Bug#559524; Package wnpp. (Sat, 05 Dec 2009 08:03:05 GMT) Full text and rfc822 format available.

Message #8 received at 559524-quiet@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Jonathan Yu <jawnsy@cpan.org>, 559524-quiet@bugs.debian.org
Cc: debian-devel@lists.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#559524: ITP: libleocharre-perl -- Bundle of several modules in the LEOCHARRE:: namespace
Date: Sat, 5 Dec 2009 09:58:59 +0200
[Message part 1 (text/plain, inline)]
-=| Jonathan Yu, Fri, Dec 04, 2009 at 09:55:24PM -0500 |=-
> Basically, the author of Wordpress::XMLRPC requires his own helper
> modules, which may be used in several distributions (since he produces
> many of them). However, I'm hesitant to create multiple packages for
> them because:
> 
>   1. These packages are probably only ever going to be used by Leo Charre
>   2. These packages are coded poorly (they export random functions into
>      the main namespace)

Nice.

>   3. The packages contain very small portions of code
> 
> I'd even consider patching Wordpress::XMLRPC with these functions; however,
> I don't think the patch would be sustainable in the long term.

Wound this address 2. above?

> There was some discussion on the pkg-perl list:
> http://lists.debian.org/debian-perl/2009/11/msg00065.html
> 
> Useful suggestions are gladly accepted and appreciated. Please give me a
> less crappy alternative. I beg of you. PLEASE.

File RM: bug on libwordpress-xmlrpc-perl. Less bad code = less 
problems in the long term.

-- 
dam
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#559524; Package wnpp. (Sat, 05 Dec 2009 09:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and filed, but not forwarded. (Sat, 05 Dec 2009 09:33:08 GMT) Full text and rfc822 format available.

Message #13 received at 559524-quiet@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: debian-perl@lists.debian.org, debian-devel@lists.debian.org
Cc: 559524-quiet@bugs.debian.org
Subject: Re: Bug#559524: ITP: libleocharre-perl -- Bundle of several modules in the LEOCHARRE:: namespace
Date: Sat, 5 Dec 2009 10:30:25 +0100
[Message part 1 (text/plain, inline)]
On Sat, 05 Dec 2009 09:58:59 +0200, Damyan Ivanov wrote:

> > Useful suggestions are gladly accepted and appreciated. Please give me a
> > less crappy alternative. I beg of you. PLEASE.
> File RM: bug on libwordpress-xmlrpc-perl. Less bad code = less 
> problems in the long term.

$ apt-cache rdepends libwordpress-xmlrpc-perl 
libwordpress-xmlrpc-perl
Reverse Depends:
$ 

That would support dam's idea :) 

Cheers,
gregor 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Treibhaus: Nils Petter Molvaer
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#559524; Package wnpp. (Sat, 05 Dec 2009 19:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <jonathan.i.yu@gmail.com>:
Extra info received and filed, but not forwarded. (Sat, 05 Dec 2009 19:54:03 GMT) Full text and rfc822 format available.

Message #18 received at 559524-quiet@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jonathan.i.yu@gmail.com>
To: debian-perl@lists.debian.org, debian-devel@lists.debian.org, 559524-quiet@bugs.debian.org
Subject: Re: Bug#559524: ITP: libleocharre-perl -- Bundle of several modules in the LEOCHARRE:: namespace
Date: Sat, 5 Dec 2009 14:53:00 -0500
To whom it may concern:

I agree completely with Damyan's idea, and Gregor seems to be
supportive of it. Nothing depends on it in Debian, and I am all for
improving general code quality of what we have, even if it is to the
exclusion of this package.

Users that really need it can always use the CPAN Shell and/or
local::lib to manage this package in a better way.

Unless there is any objection, I plan to file a removal request with
ftp-master sometime mid-week next week (probably by Wednesday).

Cheers,

Jonathan




Information stored :
Bug#559524; Package wnpp. (Tue, 08 Dec 2009 05:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <jawnsy@cpan.org>:
Extra info received and filed, but not forwarded. (Tue, 08 Dec 2009 05:21:08 GMT) Full text and rfc822 format available.

Message #23 received at 559524-quiet@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jawnsy@cpan.org>
To: debian-release@lists.debian.org
Cc: Debian Perl List <debian-perl@lists.debian.org>, 559524-quiet@bugs.debian.org, 559770-quiet@bugs.debian.org
Subject: RM: libwordpress-xmlrpc-perl/testing -- ROM; Based on recent source changes, we believe the quality of code is poor.
Date: Tue, 8 Dec 2009 00:17:59 -0500
Here are some reasons why:

1. We discussed this in the ITP for libleocharre-perl [0]; the whole
idea of the LEOCHARRE:: modules is flawed in many ways, and also
exports random symbols to the 'main' namespace with no way of stopping
it from doing so.

2. The overhead involved with patching in the needed LEOCHARRE::
features is probably going to be big in the long term

3. There is a critical security issue due to inclusion of WordPress' XMLRPC [1]

4. Low popcon score

5. Not in stable (only unstable and testing)

[0] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=559524
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=559770
[2] http://qa.debian.org/popcon.php?package=libwordpress-xmlrpc-perl




Added blocking bug(s) of 559524: 559995 Request was from Jonathan Yu <jonathan.i.yu@gmail.com> to control@bugs.debian.org. (Tue, 08 Dec 2009 06:00:03 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Yu <jonathan.i.yu@gmail.com>:
You have taken responsibility. (Thu, 17 Dec 2009 04:33:04 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Yu <jawnsy@cpan.org>:
Bug acknowledged by developer. (Thu, 17 Dec 2009 04:33:04 GMT) Full text and rfc822 format available.

Message #30 received at 559524-done@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jonathan.i.yu@gmail.com>
To: 559770-done@bugs.debian.org, 559524-done@bugs.debian.org
Cc: Debian Perl List <debian-perl@lists.debian.org>
Subject: Removal of libwordpress-xmlrpc-perl
Date: Wed, 16 Dec 2009 23:28:00 -0500
Hi:

Please note that these bugs are no longer valid because
libwordpress-xmlrpc-perl has been removed from Debian unstable. It
appears that it has also been removed from testing per the automated
process.

This will "resolve" the issues for now -- however, unfortunately the
package is no longer available as part of Debian and must be installed
manually via CPAN or another tool. Hopefully the issues will be
resolved upstream eventually.

If there is some serious need for this package (and I mean enough to
convince us to do the work this would entail), we can consider a
severe series of patches to get things in good working order (but we'd
pretty much be diverging from upstream and it would pretty much just
be a fork of the older version that did not use the LEOCHARRE::
modules). I'd rather not maintain a module like this as a Debian
native package.

Cheers,

Jonathan




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Jan 2010 07:37:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:06:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.